MetalBorders.ButtonBorder (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalBorders, class: ButtonBorder
Keywords: javax.swing.plaf.metal.MetalBorders.ButtonBorder class

# Class MetalBorders.ButtonBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.ButtonBorder

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Direct Known Subclasses:
  `MetalBorders.RolloverButtonBorder, MetalBorders.ToggleButtonBorder`

Enclosing class:
  `MetalBorders`

public static class MetalBorders.ButtonBorder extends AbstractBorder implements UIResource
The class represents the border of a `JButton`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static Insets`
  `borderInsets`
  The border insets.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ButtonBorder()`
  Constructs a `ButtonBorder`.

- ## Method Summary

  ### Methods declared in class AbstractBorder

  `getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`
  Modifier and Type
  Method
  Description
  `int`
  `getBaseline(Component c, int width, int height)`
  Returns the baseline.
  `Component.BaselineResizeBehavior`
  `getBaselineResizeBehavior(Component c)`
  Returns an enum indicating how the baseline of a component changes as the size changes.
  `Insets`
  `getBorderInsets(Component c)`
  This default implementation returns a new `Insets` object that is initialized by the `AbstractBorder.getBorderInsets(Component,Insets)` method.
  `Insets`
  `getBorderInsets(Component c, Insets insets)`
  Reinitializes the insets parameter with this Border's current Insets.
  `Rectangle`
  `getInteriorRectangle(Component c, int x, int y, int width, int height)`
  This convenience method calls the static method.
  `static Rectangle`
  `getInteriorRectangle(Component c, Border b, int x, int y, int width, int height)`
  Returns a rectangle using the arguments minus the insets of the border.
  `boolean`
  `isBorderOpaque()`
  This default implementation returns false.
  `void`
  `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
  This default implementation does no painting.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### borderInsets

    protected static Insets borderInsets
    The border insets.

- ## Constructor Details

  - ### ButtonBorder

    public ButtonBorder()
    Constructs a `ButtonBorder`.